[MANIFEST]
VERSION = 1
URL = http://ftp.linuxfoundation.org/pub/lsb/updates/dtk-manager-data/Manifest

[PROFILES]
PROFILE LSB 3.0 core,c++,desktop = Core &amp; C++ &amp; Desktop
PROFILE LSB 3.1 core,c++ = Core &amp; C++
PROFILE LSB 3.1 core,c++,desktop = Core &amp; C++ &amp; Desktop
PROFILE LSB 3.2 core,c++ = Core &amp; C++
PROFILE LSB 3.2 core,c++,desktop = Core &amp; C++ &amp; Desktop
PROFILE LSB 4.0 core,c++,desktop = Core &amp; C++ &amp; Desktop

[PACKAGES]
CONFLICTS lsb-tet3, lsb-tet3-lite
CONFLICTS qm, lsb-qm
CONFLICTS lsb-test-libstdcpp, qmtest_libstdcpp
CONFLICTS lsb-test-core, lsb-runtime-test
CONFLICTS lsb-libchk, lsb-libchk-me

[SERVERS]
DIR /ftp.linuxfoundation.org
	http://ftp.linuxfoundation.org
	ftp://ftp.linuxfoundation.org

[FILES]
ALIAS arch1 = x86=>ia32,x86-64=>amd64,IA64=>ia64,PPC32=>ppc32,PPC64=>ppc64,S390=>s390,S390X=>s390x

ALIAS lf = /ftp.linuxfoundation.org/pub/lsb
ALIAS base = <lf>/base/released-all/binary
ALIAS lsbdev = <lf>/lsbdev/released-all/binary/<arch1>
ALIAS released-all = <lf>/test_suites/released-all/binary/runtime
ALIAS runtime-3.0 = <lf>/test_suites/released-3.0/binary/runtime
ALIAS runtime-3.1 = <lf>/test_suites/released-3.1/binary/runtime
ALIAS runtime-3.2 = <lf>/test_suites/released-3.2/binary/runtime
ALIAS runtime-4.0 = <lf>/test_suites/released-4.0/binary/runtime

ALIAS tests = <lf>/app-battery/tests
ALIAS appbat-3.0 = <lf>/app-battery/released-3.0/<arch1>
ALIAS appbat-3.1 = <lf>/app-battery/released-3.1/<arch1>
ALIAS appbat-3.2 = <lf>/app-battery/released-3.2/<arch1>
ALIAS appbat-4.0 = <lf>/app-battery/released-4.0/<arch1>

ALIAS snapshots = <lf>/snapshots
ALIAS appbat-snapshots = <snapshots>/appbat
ALIAS tests-snapshots = <appbat-snapshots>/tests
