[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.0>/<Certification Tests>/<Command Tests>/cmdchk
<LSB 3.1>/<Certification Tests>/<Command Tests>/cmdchk
<LSB 3.2>/<Certification Tests>/<Command Tests>/cmdchk
<LSB 4.0>/<Certification Tests>/<Command Tests>/cmdchk

[DESCRIPTIONS]
TESTSUITE cmdchk	LSB|Moblin
		DISPLAYNAME = Command Check
		DESCRIPTION = The lsb-cmdchk test suite verifies that all the commands
		required by the LSB specification are present. It does not check
		the behaviour of those commands.
TESTSUITE END

[OPTIONS]
TESTSUITE cmdchk LSB >=3.1.0 & <4.0

GLOBAL: profile
TYPE: enum{core,c++=Core &amp; C++|core,c++,desktop=Core &amp; C++ &amp; Desktop}
DEFAULT: core,c++,desktop


[PROFILES]
# testsuite  LSB ver: <profiles>
cmdchk LSB 3.0: core,c++,desktop
cmdchk LSB 3.1: core,c++|core,c++,desktop
cmdchk LSB 3.2: core,c++|core,c++,desktop
cmdchk LSB 4.0: core,c++,desktop

[MODULES]
TESTSUITE cmdchk LSB|Moblin
 module Cmdchk_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE cmdchk	*	LSB 3.0	cert
	lsb-setup	*	<base>
	lsb-cmdchk	*	<runtime-3.0>

TESTSUITE cmdchk	*	LSB 3.1	cert
	lsb-setup	*	<base>
	lsb-cmdchk	*	<runtime-3.1>

TESTSUITE cmdchk	*	LSB 3.2	cert
	lsb-setup	*	<base>
	lsb-cmdchk	*	<runtime-3.2>

TESTSUITE cmdchk	*	LSB 4.0	cert
	lsb-setup	*	<base>
	lsb-cmdchk	*	<runtime-4.0>

TESTSUITE cmdchk	*	LSB 4.0	snapshot
	lsb-setup	*	<snapshots>/lsb-setup
	lsb-cmdchk	*	<snapshots>/lsbcmdchk

