[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.2>/<Certification Tests>/<Runtime Interface Tests>/desktop-t2c
<LSB 4.0>/<Certification Tests>/<Runtime Interface Tests>/desktop-t2c

[DESCRIPTIONS]
TESTSUITE desktop-t2c	LSB|Moblin
		DISPLAYNAME = Desktop-T2C Tests
		DESCRIPTION = A set of LSB desktop test suites created
		using the T2C ("Template-to-C") framework.
TESTSUITE END

[OPTIONS]
TESTSUITE desktop-t2c	LSB|Moblin

ID: TESTSUITE_DIR
Q: Test suite working directory
DEFAULT: /opt/lsb/test/desktop-t2c

ID: RESULTS_DIR
Q: Test results directory
DEFAULT: /opt/lsb/test/desktop-t2c/results

[PROFILES]
# testsuite  LSB ver: <profiles>
desktop-t2c LSB 3.2: core,c++,desktop
desktop-t2c LSB 4.0: core,c++,desktop

[MODULES]
TESTSUITE desktop-t2c LSB|Moblin
 module Desktop_t2c_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE desktop-t2c	*	LSB 3.2	cert
	lsb-setup				*	<base>
	lsb-tet3-lite			*	<released-all>
	lsb-test-desktop-t2c	*	<runtime-3.2>

TESTSUITE desktop-t2c	*	LSB 4.0	cert
	lsb-setup				*	<base>
	lsb-tet3-lite			*	<released-all>
	lsb-xvfb			*	<released-all>
	lsb-test-desktop-t2c	*	<runtime-4.0>

TESTSUITE desktop-t2c	*	LSB 4.0	snapshot
	lsb-setup				*	<snapshots>/lsb-setup
	lsb-tet3-lite			*	<snapshots>/tet-harness
	lsb-xvfb			*	<snapshots>/lsb-xvfb
	lsb-test-desktop-t2c	*	<snapshots>/t2c-desktop-tests

