[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.0>/<Certification Tests>/<Automated Application Battery Tests>/expect
<LSB 3.1>/<Certification Tests>/<Automated Application Battery Tests>/expect
<LSB 3.2>/<Certification Tests>/<Automated Application Battery Tests>/expect
<LSB 4.0>/<Certification Tests>/<Automated Application Battery Tests>/expect

[DESCRIPTIONS]
TESTSUITE expect	LSB|Moblin
		DISPLAYNAME = Expect Tests
		DESCRIPTION = LSB Application Battery Functional Tests for Expect
		 - a program that 'talks' to other programs.
TESTSUITE END

[PROFILES]
#   testsuite  LSB ver: <profiles>
expect LSB 3.0: core,c++,desktop
expect LSB 3.1: core,c++|core,c++,desktop
expect LSB 3.2: core,c++|core,c++,desktop
expect LSB 4.0: core,c++,desktop

[MODULES]
TESTSUITE expect LSB|Moblin
 module Expect_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE expect	*	LSB 3.0	cert
	expect-tests.tar		<tests>
	lsb-setup			*	<base>
	lsb-tcl				*	<appbat-3.0>
	lsb-expect			*	<appbat-3.0>

TESTSUITE expect	*	LSB 3.1	cert
	expect-tests.tar		<tests>
	lsb-setup			*	<base>
	lsb-tcl				*	<appbat-3.1>
	lsb-expect			*	<appbat-3.1>

TESTSUITE expect	*	LSB 3.2	cert
	expect-tests.tar		<tests>
	lsb-setup			*	<base>
	lsb-tcl				*	<appbat-3.2>
	lsb-expect			*	<appbat-3.2>

TESTSUITE expect	*	LSB 4.0	cert
	expect-tests.tar		<tests>
	lsb-setup			*	<base>
	lsb-tcl				*	<appbat-4.0>
	lsb-expect			*	<appbat-4.0>

TESTSUITE expect	*	LSB 4.0	snapshot
	expect-tests.tar		<tests>
	lsb-setup			*	<snapshots>/lsb-setup
	lsb-tcl				*	<appbat-snapshots>
	lsb-expect			*	<appbat-snapshots>

