[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.0>/<Certification Tests>/<Automated Application Battery Tests>/groff
<LSB 3.1>/<Certification Tests>/<Automated Application Battery Tests>/groff
<LSB 3.2>/<Certification Tests>/<Automated Application Battery Tests>/groff
<LSB 4.0>/<Certification Tests>/<Automated Application Battery Tests>/groff

[DESCRIPTIONS]
TESTSUITE groff	LSB|Moblin
		DISPLAYNAME = Groff Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Groff - a document formatting system.
TESTSUITE END

[PROFILES]
# testsuite  LSB ver: <profiles>
groff LSB 3.0: core,c++,desktop
groff LSB 3.1: core,c++|core,c++,desktop
groff LSB 3.2: core,c++|core,c++,desktop
groff LSB 4.0: core,c++,desktop

[MODULES]
TESTSUITE groff LSB|Moblin
 module Groff_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE groff	*	LSB 3.0	cert
	lsb-setup	*	<base>
	lsb-groff	*	<appbat-3.0>

TESTSUITE groff	*	LSB 3.1	cert
	lsb-setup	*	<base>
	lsb-groff	*	<appbat-3.1>

TESTSUITE groff	*	LSB 3.2	cert
	lsb-setup	*	<base>
	lsb-groff	*	<appbat-3.2>

TESTSUITE groff	*	LSB 4.0	cert
	lsb-setup	*	<base>
	lsb-groff	*	<appbat-4.0>

TESTSUITE groff	*	LSB 4.0	snapshot
	lsb-setup	*	<snapshots>/lsb-setup
	lsb-groff	*	<appbat-snapshots>

