[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.0>/<Certification Tests>/<Static Interface Tests>/libchk
<LSB 3.1>/<Certification Tests>/<Static Interface Tests>/libchk
<LSB 3.2>/<Certification Tests>/<Static Interface Tests>/libchk
<LSB 4.0>/<Certification Tests>/<Static Interface Tests>/libchk

[DESCRIPTIONS]
TESTSUITE libchk	LSB
		DISPLAYNAME = Library Check
		DESCRIPTION = The libchk test suite is used to check if
		the runtime libraries contain all of the interfaces with correct
		versions as specified by the LSB specification.
TESTSUITE END

[OPTIONS]

TESTSUITE libchk LSB >=3.1.0 & <3.2.0

GLOBAL: profile
TYPE: enum{core,c++=Core &amp; C++|core,c++,desktop=Core &amp; C++ &amp; Desktop|core,c++,desktop,qt4=Core &amp; C++ &amp; Desktop &amp; Qt4 (<i>optional</i>)}
DEFAULT: core,c++,desktop

TESTSUITE libchk LSB >=3.2.0 & <4.0

GLOBAL: profile
TYPE: enum{core,c++=Core &amp; C++|core,c++,desktop=Core &amp; C++ &amp; Desktop}
DEFAULT: core,c++,desktop


[PROFILES]
# testsuite  LSB ver: <profiles>
libchk LSB 3.0: core,c++,desktop
libchk LSB 3.1: core,c++|core,c++,desktop
libchk LSB 3.2: core,c++|core,c++,desktop
libchk LSB 4.0: core,c++,desktop

[MODULES]
TESTSUITE libchk LSB
 module Libchk_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE libchk	*	LSB 3.0	cert
	lsb-setup	*	<base>
	lsb-libchk	*	<runtime-3.0>

TESTSUITE libchk	*	LSB 3.1	cert
	lsb-setup	*	<base>
	lsb-libchk	*	<runtime-3.1>

TESTSUITE libchk	*	LSB 3.2	cert
	lsb-setup	*	<base>
	lsb-libchk	*	<runtime-3.2>

TESTSUITE libchk	*	LSB 4.0	cert
	lsb-setup	*	<base>
	lsb-libchk	*	<runtime-4.0>

TESTSUITE libchk	*	LSB 4.0	snapshot
	lsb-setup	*	<snapshots>/lsb-setup
	lsb-libchk	*	<snapshots>/lsblibchk

