[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.0>/<Certification Tests>/<Runtime Interface Tests>/libstdcpp
<LSB 3.1>/<Certification Tests>/<Runtime Interface Tests>/libstdcpp
<LSB 3.2>/<Certification Tests>/<Runtime Interface Tests>/libstdcpp
<LSB 4.0>/<Certification Tests>/<Runtime Interface Tests>/libstdcpp

[DESCRIPTIONS]
TESTSUITE libstdcpp	LSB|Moblin
		DISPLAYNAME = Libstdc++ Tests
		DESCRIPTION = This is the libstdc++ test suite from gcc,
		modified to run against an installed version
		of libstdc++ without requiring a compiler.
TESTSUITE END

[OPTIONS]
TESTSUITE libstdcpp	LSB|Moblin

ID: GNU_TRIPLET
Q: What is the GNU triplet for your operating system?
PRE: What is the GNU triplet for your operating system[^\?]*\?
DEFAULT:

ID: PERSON
Q: Name of person running tests?
PRE: Name of person running tests[^\?]*\?
DEFAULT: Automated

ID: ORGANISATION
Q: Organisation?
PRE: Organisation[^\?]*\?
DEFAULT: N/A

ID: TEST_SYSTEM
Q: Test System?
PRE: Test System[^\?]*\?
DEFAULT: LSB DTK TEF

TESTSUITE libstdcpp VER <=3.4.3-6	LSB|Moblin

ID: TESTSUITE_DIR
Q: Test suite working directory
DEFAULT: /opt/lsb/test/share/qmtest_libstdcpp_3.4.3

TESTSUITE libstdcpp VER >=3.4.3-7 & <4.0	LSB|Moblin

ID: TESTSUITE_DIR
Q: Test suite working directory
DEFAULT: /opt/lsb/test/libstdcpp_3.4.3

TESTSUITE libstdcpp VER >=4.1.0	LSB|Moblin

ID: TESTSUITE_DIR
Q: Test suite working directory
DEFAULT: /opt/lsb/test/libstdcpp_4.1.0

[PROFILES]
# testsuite  LSB ver: <profiles>
libstdcpp LSB 3.0: core,c++,desktop
libstdcpp LSB 3.1: core,c++|core,c++,desktop
libstdcpp LSB 3.2: core,c++|core,c++,desktop
libstdcpp LSB 4.0: core,c++,desktop

[MODULES]
TESTSUITE libstdcpp LSB|Moblin
 module Libstdcpp_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver location (comma-separated and/or on a new line)

TESTSUITE libstdcpp	*	LSB 3.0	cert
	lsb-setup			*	<base>
	lsb-python			*	<appbat-3.0>
	qm					*	<runtime-3.0>
	qmtest_libstdcpp	*	<runtime-3.0>

TESTSUITE libstdcpp	*	LSB 3.1	cert
	lsb-setup			*	<base>
	lsb-python			*	<appbat-3.1>
	qm					*	<runtime-3.1>
	qmtest_libstdcpp	*	<runtime-3.1>

TESTSUITE libstdcpp	*	LSB 3.2	cert
	lsb-setup			*	<base>
	lsb-python			*	<appbat-3.2>
	lsb-qm				*	<runtime-3.2>
	lsb-test-libstdcpp	*	<runtime-3.2>

TESTSUITE libstdcpp	*	LSB 4.0	cert
	lsb-setup			*	<base>
	lsb-python			*	<appbat-4.0>
	lsb-qm				*	<runtime-4.0>
	lsb-test-libstdcpp	*	<runtime-4.0>

TESTSUITE libstdcpp	*	LSB 4.0	snapshot
	lsb-setup			*	<snapshots>/lsb-setup
	lsb-python			*	<snapshots>/appbat
	lsb-qm				*	<snapshots>/qmtest-harness
	lsb-test-libstdcpp	*	<snapshots>/libstdcpp-test
