[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.2>/<Certification Tests>/<Runtime Interface Tests>/perl
<LSB 4.0>/<Certification Tests>/<Runtime Interface Tests>/perl


[DESCRIPTIONS]
TESTSUITE perl	LSB|Moblin
		DISPLAYNAME = Perl Tests
		DESCRIPTION = The official package version of the LSB Perl test suite.
		These tests are derived from Perl's build-time tests.
TESTSUITE END

[OPTIONS]
TESTSUITE perl	LSB|Moblin

ID: TESTSUITE_DIR
Q: Test suite working directory
DEFAULT: /opt/lsb/test/perl

ID: RESULTS_DIR
Q: Test results directory
DEFAULT: /opt/lsb/test/perl/results

[PROFILES]
# testsuite  LSB ver: <profiles>
perl LSB 3.2: core,c++|core,c++,desktop
perl LSB 4.0: core,c++,desktop

[MODULES]
TESTSUITE perl LSB|Moblin
 module Perl_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE perl	*	LSB 3.2	cert
	lsb-setup		*	<base>
	lsb-tet3-lite	*	<released-all>
	lsb-test-perl	*	<runtime-3.2>

TESTSUITE perl	*	LSB 4.0	cert
	lsb-setup		*	<base>
	lsb-tet3-lite	*	<released-all>
	lsb-test-perl	*	<runtime-4.0>

TESTSUITE perl	*	LSB 4.0	snapshot
	lsb-setup		*	<snapshots>/lsb-setup
	lsb-tet3-lite	*	<snapshots>/tet-harness
	lsb-test-perl	*	<snapshots>/perl-test

