[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.0>/<Certification Tests>/<Automated Application Battery Tests>/samba
<LSB 3.1>/<Certification Tests>/<Automated Application Battery Tests>/samba
<LSB 3.2>/<Certification Tests>/<Automated Application Battery Tests>/samba
<LSB 4.0>/<Certification Tests>/<Automated Application Battery Tests>/samba


[DESCRIPTIONS]
TESTSUITE samba	LSB|Moblin
		DISPLAYNAME = Samba Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Samba - a file and print server for SMB/CIFS clients.
TESTSUITE END

[PROFILES]
# testsuite  LSB ver: <profiles>
samba LSB 3.0: core,c++,desktop
samba LSB 3.1: core,c++|core,c++,desktop
samba LSB 3.2: core,c++|core,c++,desktop
samba LSB 4.0: core,c++,desktop

[MODULES]
TESTSUITE samba LSB|Moblin
 module Samba_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE samba	*	LSB 3.0	cert
	lsb-setup	*	<base>
	lsb-samba	*	<appbat-3.0>

TESTSUITE samba	*	LSB 3.1	cert
	lsb-setup	*	<base>
	lsb-samba	*	<appbat-3.1>

TESTSUITE samba	*	LSB 3.2	cert
	lsb-setup	*	<base>
	lsb-samba	*	<appbat-3.2>

TESTSUITE samba	*	LSB 4.0	cert
	lsb-setup	*	<base>
	lsb-samba	*	<appbat-4.0>

TESTSUITE samba	*	LSB 4.0	snapshot
	lsb-setup	*	<snapshots>/lsb-setup
	lsb-samba	*	<appbat-snapshots>
