[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.0>/<Certification Tests>/<Automated Application Battery Tests>/tcl
<LSB 3.1>/<Certification Tests>/<Automated Application Battery Tests>/tcl
<LSB 3.2>/<Certification Tests>/<Automated Application Battery Tests>/tcl
<LSB 4.0>/<Certification Tests>/<Automated Application Battery Tests>/tcl


[DESCRIPTIONS]
TESTSUITE tcl	LSB|Moblin
		DISPLAYNAME = Tcl Tests
		DESCRIPTION = LSB Application Battery Functional Tests for tcl
		 - an embedded scripting language.
TESTSUITE END

[PROFILES]
# testsuite  LSB ver: <profiles>
tcl LSB 3.0: core,c++,desktop
tcl LSB 3.1: core,c++|core,c++,desktop
tcl LSB 3.2: core,c++|core,c++,desktop
tcl LSB 4.0: core,c++,desktop

[MODULES]
TESTSUITE tcl LSB|Moblin
 module Tcl_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE tcl	*	LSB 3.0	cert
	tcl8.4.11-tests.tar		<tests>
	lsb-setup			*	<base>
	lsb-tcl				*	<appbat-3.0>

TESTSUITE tcl	*	LSB 3.1	cert
	tcl8.4.11-tests.tar		<tests>
	lsb-setup			*	<base>
	lsb-tcl				*	<appbat-3.1>

TESTSUITE tcl	*	LSB 3.2	cert
	tcl8.5a4-tests.tar		<tests>
	lsb-setup			*	<base>
	lsb-tcl				*	<appbat-3.2>

TESTSUITE tcl	*	LSB 4.0	cert
	tcl8.5.1-tests.tar		<tests>
	lsb-setup			*	<base>
	lsb-tcl				*	<appbat-4.0>

TESTSUITE tcl	*	LSB 4.0	snapshot
	tcl-tests.tar		<tests-snapshots>
	lsb-setup		*	<snapshots>/lsb-setup
	lsb-tcl			*	<appbat-snapshots>

