[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
#<LSB 3.0>/<Unofficial Tests>/<Runtime Interface Tests>/xts5
#<LSB 3.1>/<Unofficial Tests>/<Runtime Interface Tests>/xts5
<LSB 3.2>/<Certification Tests>/<Runtime Interface Tests>/xts5
<LSB 4.0>/<Certification Tests>/<Runtime Interface Tests>/xts5


[DESCRIPTIONS]
TESTSUITE xts5	LSB|Moblin
		DISPLAYNAME = Xts5 Tests
		DESCRIPTION = This is a binary version of the LSB X Window System test suite.
		These tests are derived from the XTS5 test suites.
TESTSUITE END

[OPTIONS]
TESTSUITE xts5	LSB|Moblin

ID: X_CLIENT_HOSTNAME
Q: Hostname of client for X tests?
PRE: Hostname of client for X tests[^\?]*\?
DEFAULT:

ID: XVFB_DISPLAY
Q: DISPLAY of the Xvfb?
PRE: DISPLAY of the Xvfb[^\?]*\?

ID: XT_FONTPATH
Q: XT_FONTPATH?
PRE: XT_FONTPATH[^\?]*\?

ID: XT_FONTPATH_GOOD
Q: XT_FONTPATH_GOOD?
PRE: XT_FONTPATH_GOOD[^\?]*\?

ID: TESTSUITE_DIR
Q: Test suite working directory
DEFAULT: /opt/lsb/test/xts5

ID: RESULTS_DIR
Q: Test results directory
DEFAULT: /opt/lsb/test/xts5/xts5/results

[PROFILES]
#   testsuite  LSB ver: <profiles>
#xts5 LSB 3.0: core,c++,desktop
#xts5 LSB 3.1: core,c++|core,c++,desktop
xts5 LSB 3.2: core,c++|core,c++,desktop
xts5 LSB 4.0: core,c++,desktop

[MODULES]
TESTSUITE xts5 LSB|Moblin
 module Xts5_test.pm
 requires X11_common.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE xts5	*	LSB 3.2	cert
	lsb-setup		*	<base>
	lsb-tet3-lite	*	<released-all>
	lsb-xvfb			*	<released-all>
	lsb-test-xts5	*	<runtime-3.2>

TESTSUITE xts5	*	LSB 4.0	cert
	lsb-setup		*	<base>
	lsb-tet3-lite	*	<released-all>
	lsb-xvfb			*	<released-all>
	lsb-test-xts5	*	<runtime-4.0>

TESTSUITE xts5  *  LSB 4.0	snapshot
	lsb-setup		*	<snapshots>/lsb-setup
	lsb-tet3-lite	*	<snapshots>/tet-harness
	lsb-xvfb			*	<snapshots>/lsb-xvfb
	lsb-test-xts5	*	<snapshots>/xts5-test
