[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.1>/<Certification Tests>/<Manual Tests>/man-gaim

[DESCRIPTIONS]
TESTSUITE man-gaim	LSB|Moblin
		DISPLAYNAME = Gaim Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Gaim - a multi-protocol instant messaging (IM) client.
TESTSUITE END

[PROFILES]
# testsuite	LSB ver: <profiles>
man-gaim LSB 3.1: core,c++,desktop

[MANUAL]
TESTSUITE man-gaim	LSB|Moblin

STEP Run the command: <tt>/opt/lsb/appbat/bin/gaim</tt>.<br />- Expected result: The gaim application is launched with the <tt>"Login"</tt> and <tt>"Accounts"</tt> windows.

STEP Click the <tt>"Preferences"</tt> button at the bottom of the <tt>"Login"</tt> window.<br />- Expected result: The <tt>"Preferences"</tt> window appears.

STEP Select <tt>"Buddy List"</tt> on the left pane, then on the right pane select <tt>"Alphabetical"</tt> for the <tt>"Sorting"</tt>. Close the <tt>"Preferences"</tt> window and then reopen it.<br />- Expected result: The value <tt>"Alphabetical"</tt> remains selected in <tt>"Sorting"</tt> option of the <tt>"Buddy List"</tt>.

STEP Click the <tt>"Add"</tt> button on the bottom of the <tt>"Accounts"</tt> window.<br />- Expected result: The <tt>"Add Account"</tt> window appears.

STEP Select <tt>"IRC"</tt> in the <tt>"Protocol"</tt> option and enter a <tt>"Screen Name"</tt>. If <tt>"Server"</tt> is blank, enter <tt>"irc.freenode.net"</tt>, then click the <tt>"Save"</tt> button.<br />- Expected result: The window <tt>"Add Account"</tt> is closed and the new account appears in the <tt>"Accounts"</tt> and <tt>"Login"</tt> windows.

STEP Click on the <tt>"Sign on"</tt> button.<br />- Expected result: The <tt>"Sign on"</tt> dialog appears and when the <tt>"Sign on"</tt> dialog disappears, the <tt>"Buddy List"</tt> window appears.

STEP In the bottom pane of the <tt>"freenode-connect"</tt> window, type <tt>"/join #test"</tt> and the <tt>"Enter"</tt> key.<br />- Expected result: A new tab is created and selected labeled <tt>"#test"</tt> and there should be people in the room.

STEP Press "CTRL-M" on the keyboard.<br />- Expected result: The <tt>"New Instant Message"</tt> dialog appears and the cursor is in the <tt>"Screen Name"</tt>.

STEP Type your own user name in the <tt>"Screen Name"</tt> box and press the <tt>"Enter"</tt> key.<br />- Expected result: A new tab appears to the right of previous tabs.

STEP In the bottom box type a message and press the <tt>"Enter"</tt> key.<br />- Expected result: The conversation dialog appears with the message in the tab.

STEP Close the conversation dialog by clicking on <tt>"Conversation"</tt> in the menu bar and then <tt>"Close"</tt>.<br />- Expected result: One tab closes.

[MODULES]
TESTSUITE man-gaim LSB|Moblin
 module Manual_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
#	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE man-gaim	*	LSB 3.1	cert
	lsb-setup	*	<base>
	lsb-gaim	*	<appbat-3.1>
