[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 4.0>/<Certification Tests>/<Manual Tests>/man-ghostscript

[DESCRIPTIONS]
TESTSUITE man-ghostscript	LSB|Moblin
		DISPLAYNAME = Ghostscript Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Ghostscript - a postscript interpreter.
TESTSUITE END

[PROFILES]
# testsuite	LSB ver: <profiles>
man-ghostscript LSB 4.0: core,c++,desktop

[MANUAL]
TESTSUITE man-ghostscript	LSB|Moblin

STEP Run the command <tt>/opt/lsb/appbat/bin/gs -dBATCH -dNOPAUSE -dQUIET -sDEVICE=cups -sOutputFile=gstest.out /opt/lsb/appbat/share/ghostscript/8.61/examples/tiger.eps && echo $? && ls -l gstest.out</tt>.<br />- Expected result: The return code is <tt>"0"</tt> and the file <tt>foo.out</tt> is created (some DEBUG output from the cups driver is expected).<br /><br />Example:<blockquote><pre>
0
-rw-rw-r-- 1 stew stew 119500 2008-02-11 15:34 gstest.out
</pre></blockquote>

STEP Run the command <tt>/opt/lsb/appbat/bin/gs -dBATCH -dQUIET /opt/lsb/appbat/share/ghostscript/8.61/examples/tiger.eps</tt>.<br />- Expected result: The <tt>tiger.eps</tt> document is displayed in a window.

STEP Press the <tt>"Enter"</tt> key with the <tt>tiger.eps</tt> window active.<br />- Expected result: The <tt>tiger.eps</tt> document window disappears.

[MODULES]
TESTSUITE man-ghostscript LSB|Moblin
 module Manual_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
#	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE man-ghostscript	*	LSB 4.0	cert
	lsb-setup	*	<base>
	lsb-ghostscript	*	<appbat-4.0>

TESTSUITE man-ghostscript	*	LSB 4.0	snapshot
	lsb-setup	*	<snapshots>/lsb-setup
	lsb-ghostscript	*	<appbat-snapshots>
