[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 4.0>/<Certification Tests>/<Manual Tests>/man-xscreensaver

[DESCRIPTIONS]
TESTSUITE man-xscreensaver	LSB|Moblin
		DISPLAYNAME = Xscreensaver Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Xscreensaver - a collection of free screensavers.
TESTSUITE END

[PROFILES]
# testsuite	LSB ver: <profiles>
man-xscreensaver LSB 4.0: core,c++,desktop

[MANUAL]
TESTSUITE man-xscreensaver	LSB|Moblin

STEP Make sure that the <tt>DISPLAY</tt> variable points to an appropriate X display, and the host will allow you to create windows on it. For a remote display, or if running as a user other than the user logged in on the local display, you may have to use the <tt>xhost +</tt> command to enable this functionality. Remember to restore the default setting as this setting is insecure.<br />- Was the installation successful?

STEP Run the command: <tt>for saver in pacman xflame xmatrix bouncingcow flyingtoasters glforestfire jigglypuff lament lavalite timetunnel;do /opt/lsb/appbat/libexec/xscreensaver/$saver;done</tt>. Let each screensaver run in it's window for a few seconds, then press <tt>q</tt> with the screensaver window active, to close the screensaver.<br />- Expected result: The 10 sample screensavers each appear in succession, in their own window.</td>

[MODULES]
TESTSUITE man-xscreensaver LSB|Moblin
 module Manual_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
#	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE man-xscreensaver	*	LSB 4.0	cert
	lsb-setup	*	<base>
	lsb-xscreensaver	*	<appbat-4.0>

TESTSUITE man-xscreensaver	*	LSB 4.0	snapshot
	lsb-setup	*	<snapshots>/lsb-setup
	lsb-xscreensaver	*	<appbat-snapshots>
