[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.1>/<Certification Tests>/<Runtime Interface Tests>/desktop
<LSB 3.2>/<Certification Tests>/<Runtime Interface Tests>/desktop
<LSB 4.0>/<Certification Tests>/<Runtime Interface Tests>/desktop

[DESCRIPTIONS]
TESTSUITE desktop	LSB|Moblin
		DISPLAYNAME = Desktop Tests
		DESCRIPTION = LSB desktop test suites.
TESTSUITE END

[OPTIONS]
TESTSUITE desktop LSB >=3.1.0 & <3.2.0

GLOBAL: with_qt4
TYPE: enum{desktop=Desktop only|desktop_qt4=Desktop &amp; Qt4 (<i>optional</i>)}
DEFAULT: desktop

TESTSUITE desktop	LSB|Moblin

ID: PERSON
Q: Name of person running tests?
PRE: Name of person running tests[^\?]*\?
DEFAULT: Automated

ID: ORGANISATION
Q: Organisation?
PRE: Organisation[^\?]*\?
DEFAULT: N/A

ID: TEST_SYSTEM
Q: Test System?
PRE: Test System[^\?]*\?
DEFAULT: LSB DTK TEF

ID: X_CLIENT_HOSTNAME
Q: Hostname of client for X tests?
PRE: Hostname of client for X tests[^\?]*\?
DEFAULT:

ID: SHOW_SUMMARY_REPORT
Q: Show Summary Report?
PRE: Show Summary Report[^\?]*\?
DEFAULT:

ID: XVFB_DISPLAY
Q: DISPLAY of the Xvfb?
PRE: DISPLAY of the Xvfb[^\?]*\?

ID: X11_FONT_PATH
Q: X11 font path?
PRE: X11 font path [^\?]*\?

ID: DESKTOP_ENVIRONMENT
Q: Desktop environment to test?
PRE: desktop environment to test[^\?]*\?

ID: TESTSUITE_DIR
Q: Test suite working directory
DEFAULT: /opt/lsb/test/desktop

[PROFILES]
# testsuite  LSB ver: <profiles>
desktop LSB 3.1: core,c++,desktop
desktop LSB 3.2: core,c++,desktop
desktop LSB 4.0: core,c++,desktop

[MODULES]
TESTSUITE desktop LSB|Moblin
 module Desktop_test.pm
 requires X11_common.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE desktop	*	LSB 3.1	cert
	lsb-setup			*	<base>
	lsb-python			*	<appbat-3.1>
	lsb-tet3-lite		*	<released-all>
	lsb-test-desktop	*	<runtime-3.1>

TESTSUITE desktop	*	LSB 3.2	cert
	lsb-setup			*	<base>
	lsb-python			*	<appbat-3.2>
	lsb-tet3-lite		*	<released-all>
	lsb-xvfb			*	<released-all>
	lsb-xdg-utils		*	<lsbdev>
	lsb-test-desktop	*	<runtime-3.2>

TESTSUITE desktop	*	LSB 4.0	cert
	lsb-setup			*	<base>
	lsb-python			*	<appbat-4.0>
	lsb-tet3-lite		*	<released-all>
	lsb-xvfb			*	<released-all>
	lsb-xdg-utils		*	<lsbdev>
	lsb-test-desktop	*	<runtime-4.0>

TESTSUITE desktop	*	LSB 4.0	snapshot
	lsb-setup			*	<snapshots>/lsb-setup
	lsb-python			*	<snapshots>/appbat
	lsb-tet3-lite		*	<snapshots>/tet-harness
	lsb-xvfb			*	<snapshots>/lsb-xvfb
	lsb-xdg-utils		*	<snapshots>/lsb-xdg-utils
	lsb-test-desktop	*	<snapshots>/desktop-test

