[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.0>/<Certification Tests>/<Automated Application Battery Tests>/python_app
<LSB 3.1>/<Certification Tests>/<Automated Application Battery Tests>/python_app
<LSB 3.2>/<Certification Tests>/<Automated Application Battery Tests>/python_app
<LSB 4.0>/<Certification Tests>/<Automated Application Battery Tests>/python_app


[DESCRIPTIONS]
TESTSUITE python_app	LSB|Moblin
		DISPLAYNAME = Python Tests
		DESCRIPTION = LSB Application Battery Functional Tests for Python
		 - an interpreted, interactive, object-oriented programing language.
TESTSUITE END

[PROFILES]
# testsuite  LSB ver: <profiles>
python_app LSB 3.0: core,c++,desktop
python_app LSB 3.1: core,c++|core,c++,desktop
python_app LSB 3.2: core,c++|core,c++,desktop
python_app LSB 4.0: core,c++,desktop

[MODULES]
TESTSUITE python_app LSB|Moblin
 module Python_app_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE python_app	*	LSB 3.0	cert
	lsb-setup	*	<base>
	lsb-python	*	<appbat-3.0>

TESTSUITE python_app	*	LSB 3.1	cert
	lsb-setup	*	<base>
	lsb-python	*	<appbat-3.1>

TESTSUITE python_app	*	LSB 3.2	cert
	lsb-setup	*	<base>
	lsb-python	*	<appbat-3.2>

TESTSUITE python_app	*	LSB 4.0	cert
	lsb-setup	*	<base>
	lsb-python	*	<appbat-4.0>

TESTSUITE python_app	*	LSB 4.0	snapshot
	lsb-setup	*	<snapshots>/lsb-setup
	lsb-python	*	<appbat-snapshots>


