[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.2>/<Certification Tests>/<Runtime Interface Tests>/python
<LSB 4.0>/<Certification Tests>/<Runtime Interface Tests>/python


[DESCRIPTIONS]
TESTSUITE python	LSB|Moblin
		DISPLAYNAME = Python Runtime Tests
		DESCRIPTION = The official package version of the LSB Python test suite.
		These tests are derived from Python's build-time tests.
TESTSUITE END

[OPTIONS]
TESTSUITE python	LSB|Moblin

ID: TESTSUITE_DIR
Q: Test suite working directory
DEFAULT: /opt/lsb/test/python

ID: RESULTS_DIR
Q: Test results directory
DEFAULT: /opt/lsb/test/python/results

[PROFILES]
# testsuite  LSB ver: <profiles>
python LSB 3.2: core,c++|core,c++,desktop
python LSB 4.0: core,c++,desktop

[MODULES]
TESTSUITE python LSB|Moblin
 module Python_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE python	*	LSB 3.2	cert
	lsb-setup		*	<base>
	lsb-test-python	*	<runtime-3.2>

TESTSUITE python	*	LSB 4.0	cert
	lsb-setup		*	<base>
	lsb-test-python	*	<runtime-4.0>

TESTSUITE python	*	LSB 4.0	snapshot
	lsb-setup		*	<snapshots>/lsb-setup
	lsb-test-python	*	<snapshots>/python-test

