[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.0>/<Certification Tests>/<Automated Application Battery Tests>/rsync
<LSB 3.1>/<Certification Tests>/<Automated Application Battery Tests>/rsync
<LSB 3.2>/<Certification Tests>/<Automated Application Battery Tests>/rsync
<LSB 4.0>/<Certification Tests>/<Automated Application Battery Tests>/rsync


[DESCRIPTIONS]
TESTSUITE rsync	LSB|Moblin
		DISPLAYNAME = Rsync Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Rsync - a program for synchronizing files over a network.
TESTSUITE END

[PROFILES]
# testsuite  LSB ver: <profiles>
rsync LSB 3.0: core,c++,desktop
rsync LSB 3.1: core,c++|core,c++,desktop
rsync LSB 3.2: core,c++|core,c++,desktop
rsync LSB 4.0: core,c++,desktop

[MODULES]
TESTSUITE rsync LSB|Moblin
 module Rsync_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE rsync	*	LSB 3.0	cert
	lsb-setup	*	<base>
	lsb-rsync	*	<appbat-3.0>

TESTSUITE rsync	*	LSB 3.1	cert
	lsb-setup	*	<base>
	lsb-rsync	*	<appbat-3.1>

TESTSUITE rsync	*	LSB 3.2	cert
	lsb-setup	*	<base>
	lsb-rsync	*	<appbat-3.2>

TESTSUITE rsync	*	LSB 4.0	cert
	lsb-setup	*	<base>
	lsb-rsync	*	<appbat-4.0>

TESTSUITE rsync	*	LSB 4.0	snapshot
	lsb-setup	*	<snapshots>/lsb-setup
	lsb-rsync	*	<appbat-snapshots>

