[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.0>/<Certification Tests>/<Runtime Interface Tests>/vsw4
<LSB 3.1>/<Certification Tests>/<Runtime Interface Tests>/vsw4

[DESCRIPTIONS]
TESTSUITE vsw4	LSB|Moblin
		DISPLAYNAME = Vsw4 X11 Tests
		DESCRIPTION = LSB X Window System test suite.
		These tests are derived from the VSW4 XTest test suites.
TESTSUITE END

[OPTIONS]
TESTSUITE vsw4	LSB|Moblin

ID: PERSON
Q: Name of person running tests?
PRE: Name of person running tests[^\?]*\?
DEFAULT: Automated

ID: ORGANISATION
Q: Organisation?
PRE: Organisation[^\?]*\?
DEFAULT: N/A

ID: TEST_SYSTEM
Q: Test System?
PRE: Test System[^\?]*\?
DEFAULT: LSB DTK TEF

ID: X_CLIENT_HOSTNAME
Q: Hostname of client for X tests?
PRE: Hostname of client for X tests[^\?]*\?
DEFAULT:

ID: XVFB_DISPLAY
Q: DISPLAY of the Xvfb?
PRE: DISPLAY of the Xvfb[^\?]*\?

ID: XT_FONTPATH
Q: XT_FONTPATH?
PRE: XT_FONTPATH[^\?]*\?

ID: XT_FONTPATH_GOOD
Q: XT_FONTPATH_GOOD?
PRE: XT_FONTPATH_GOOD[^\?]*\?

ID: TESTSUITE_DIR
Q: Test suite working directory
DEFAULT: /opt/lsb/test/vsw4

ID: RESULTS_DIR
Q: Test results directory
DEFAULT: /opt/lsb/test/vsw4/xtest/results

[PROFILES]
# testsuite  LSB ver: <profiles>
vsw4 LSB 3.0: core,c++,desktop
vsw4 LSB 3.1: core,c++|core,c++,desktop

[MODULES]
TESTSUITE vsw4 LSB|Moblin
 module Vsw4_test.pm
 requires X11_common.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE vsw4	*	LSB 3.0	cert
	lsb-setup		*	<base>
	lsb-tet3-lite	*	<released-all>
	lsb-test-vsw4	*	<runtime-3.0>
	
TESTSUITE vsw4	*	LSB 3.1	cert
	lsb-setup		*	<base>
	lsb-tet3-lite	*	<released-all>
	lsb-test-vsw4	*	<runtime-3.1>

