[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.0>/<Certification Tests>/<Automated Application Battery Tests>/xpdf
<LSB 3.1>/<Certification Tests>/<Automated Application Battery Tests>/xpdf
<LSB 3.2>/<Certification Tests>/<Automated Application Battery Tests>/xpdf
<LSB 4.0>/<Certification Tests>/<Automated Application Battery Tests>/xpdf


[DESCRIPTIONS]
TESTSUITE xpdf	LSB|Moblin
		DISPLAYNAME = Xpdf Tests
		DESCRIPTION = LSB Application Battery Functional Tests for Xpdf
		 - a PDF file viewer for X Window System.
TESTSUITE END

[PROFILES]
# testsuite  LSB ver: <profiles>
xpdf LSB 3.0: core,c++,desktop
xpdf LSB 3.1: core,c++,desktop
xpdf LSB 3.2: core,c++,desktop
xpdf LSB 4.0: core,c++,desktop

[MODULES]
TESTSUITE xpdf LSB|Moblin
 module Xpdf_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
# 	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE xpdf	*	LSB 3.0	cert
	test1.pdf		<tests>
	test2.pdf		<tests>
	lsb-setup	*	<base>
	lsb-xpdf	*	<appbat-3.0>

TESTSUITE xpdf	*	LSB 3.1	cert
	test1.pdf		<tests>
	test2.pdf		<tests>
	lsb-setup	*	<base>
	lsb-xpdf	*	<appbat-3.1>

TESTSUITE xpdf	*	LSB 3.2	cert
	test1.pdf		<tests>
	test2.pdf		<tests>
	lsb-setup	*	<base>
	lsb-xpdf	*	<appbat-3.2>

TESTSUITE xpdf	*	LSB 4.0	cert
	test1.pdf		<tests>
	test2.pdf		<tests>
	lsb-setup	*	<base>
	lsb-xpdf	*	<appbat-4.0>

TESTSUITE xpdf	*	LSB 4.0	snapshot
	test1.pdf		<tests>
	test2.pdf		<tests>
	lsb-setup	*	<snapshots>/lsb-setup
	lsb-xpdf	*	<appbat-snapshots>


