[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.0>/<Certification Tests>/<Manual Tests>/man-celestia
<LSB 3.1>/<Certification Tests>/<Manual Tests>/man-celestia
<LSB 3.2>/<Certification Tests>/<Manual Tests>/man-celestia
<LSB 4.0>/<Certification Tests>/<Manual Tests>/man-celestia

[DESCRIPTIONS]
TESTSUITE man-celestia	LSB|Moblin
		DISPLAYNAME = Celestia Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Celestia - a program for real-time visual space simulation.
TESTSUITE END

[PROFILES]
# testsuite	LSB ver: <profiles>
man-celestia LSB 3.0: core,c++,desktop
man-celestia LSB 3.1: core,c++,desktop
man-celestia LSB 3.2: core,c++,desktop
man-celestia LSB 4.0: core,c++,desktop

[MANUAL]
TESTSUITE man-celestia LSB <=3.1.0

STEP Run the command: <tt>/opt/lsb/appbat/bin/celestia</tt>.<br />- Expected result: celestia application window comes up.

STEP Enter "4" on the keyboard to select Mars.<br />- Expected result: celestia updates info in upper left to indicate distance from Mars.

STEP Enter "g" on keyboard to travel to Mars.<br />- Expected result: celestia zooms in on Mars.

STEP Enter "3" on keyboard to select Earth.<br />- Expected result: celestia updates info in upper left to indicate distance from Earth.

STEP Enter "g" on keyboard to travel to Earth.<br />- Expected result: celestia zooms in on Earth.

STEP Enter "d" on keyboard to run celestia demo.<br />- Expected result: celestia will run through it demo routine which will take several minutes to complete.


TESTSUITE man-celestia LSB >=3.2.0 | Moblin

STEP If the <b>xdg-desktop-menu</b> binary is present on the system, and you are using a compliant window manager, <b>lsb-celestia</b> should show up in the Graphics and/or Education categories, if present.<br />Make sure that the DISPLAY variable points to an appropriate X display, and the host will allow you to create windows on it. For a remote display, or if running as a user other than the user logged in on the local display, you may have to use the <em>xhost +</em> command to enable this functionality. Remember to restore the default setting as this setting is insecure.<br />- Was the installation successful?

STEP Run the command: <tt>/opt/lsb/appbat/bin/celestia</tt>.<br />- Expected result: celestia application window comes up.

STEP Enter "4" on the keyboard to select Mars.<br />- Expected result: celestia updates info in upper left to indicate distance from Mars.

STEP Enter "g" on keyboard to travel to Mars.<br />- Expected result: celestia zooms in on Mars.

STEP Enter "3" on keyboard to select Earth.<br />- Expected result: celestia updates info in upper left to indicate distance from Earth.

STEP Enter "g" on keyboard to travel to Earth.<br />- Expected result: celestia zooms in on Earth.

STEP Enter "d" on keyboard to run celestia demo.<br />- Expected result: celestia will run through it demo routine which will take several minutes to complete.

[MODULES]
TESTSUITE man-celestia LSB|Moblin
 module Manual_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
#	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE man-celestia	*	LSB 3.0	cert
	lsb-setup	*	<base>
	lsb-celestia	*	<appbat-3.0>

TESTSUITE man-celestia	*	LSB 3.1	cert
	lsb-setup	*	<base>
	lsb-celestia	*	<appbat-3.1>

TESTSUITE man-celestia	*	LSB 3.2	cert
	lsb-setup	*	<base>
	lsb-celestia	*	<appbat-3.2>

TESTSUITE man-celestia	*	LSB 4.0	cert
	lsb-setup	*	<base>
	lsb-celestia	*	<appbat-4.0>

TESTSUITE man-celestia	*	LSB 4.0	snapshot
	lsb-setup	*	<snapshots>/lsb-setup
	lsb-celestia	*	<appbat-snapshots>
