[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.1>/<Certification Tests>/<Manual Tests>/man-raptor
<LSB 3.2>/<Certification Tests>/<Manual Tests>/man-raptor
<LSB 4.0>/<Certification Tests>/<Manual Tests>/man-raptor

[DESCRIPTIONS]
TESTSUITE man-raptor	LSB|Moblin
		DISPLAYNAME = Raptor Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Raptor - a C library providing a set of parsers and serializers for RDF.
TESTSUITE END

[PROFILES]
# testsuite	LSB ver: <profiles>
man-raptor LSB 3.1: core,c++|core,c++,desktop
man-raptor LSB 3.2: core,c++|core,c++,desktop
man-raptor LSB 4.0: core,c++,desktop

[MANUAL]
TESTSUITE man-raptor LSB <=3.2.0

STEP Change to the <tt>/tmp/lsb-raptor-tests</tt> directory and run the command: <tt>sh test.sh | tee testoutput</tt><br />- Expected result: After several seconds all the tests will be completed.

STEP Run the command: <tt>more testoutput</tt>&nbsp; to view the output file.<br />- Expected result: All the tests will have executed with no failures and the entry in the file should look like this:<pre>Testing legal rdf/xml<br />Checking ex-00.rdf ok<br />Checking ex-01.rdf ok<br />Checking ex-02.rdf ok<br />Checking ex-04.rdf ok<br />Checking ex-05.rdf ok<br />Checking ex-06.rdf ok<br />Checking ex-07.rdf ok<br />Checking ex-08.rdf ok<br />Checking ex-09.rdf ok<br />Checking ex-10.rdf ok<br />Checking ex-11.rdf ok<br />Checking ex-12.rdf ok<br />Checking ex-13.rdf ok<br />Checking ex-14.rdf ok<br />Checking ex-15.rdf ok<br />Checking ex-16.rdf ok<br />Checking ex-17.rdf ok<br />Checking ex-18.rdf ok<br />Checking ex-20.rdf ok<br />Checking ex-21.rdf ok<br />Checking ex-22.rdf ok<br />Checking ex-23.rdf ok<br />Checking ex-24.rdf ok<br />Checking ex-25.rdf ok<br />Checking ex-26.rdf ok<br />Checking ex-27.rdf ok<br />Checking ex-28.rdf ok<br />Checking ex-29.rdf ok<br />Checking ex-30.rdf ok<br />Checking ex-31.rdf ok<br />Checking ex-32.rdf ok<br />Checking ex-33.rdf ok<br />Checking ex-34.rdf ok<br />Checking ex-35.rdf ok<br />Checking ex-36.rdf ok<br />Checking ex-37.rdf ok<br />Checking ex-38.rdf ok<br />Checking ex-39.rdf ok<br />Checking ex-40.rdf ok<br />Checking ex-41.rdf ok<br />Checking ex-46.rdf ok<br />Checking ex-47.rdf ok<br />Checking ex-48.rdf ok<br />Checking ex-49.rdf ok<br />Checking ex-51.rdf ok<br />Checking ex-53.rdf ok<br />Checking ex-54.rdf ok<br />Checking ex-56.rdf ok<br />Checking ex-57.rdf ok<br />Checking ex-58.rdf ok<br />Checking 22-rdf-syntax-ns.rdf ok<br />Checking rdfs-namespace.rdf ok<br />Checking rdf-schema.rdf ok<br />Checking owl-schema.rdf ok<br />Checking daml-oil.rdf ok<br />Checking wine.rdf ok</pre>


TESTSUITE man-raptor LSB >=4.0.0 | Moblin

STEP Change to the <tt>/tmp/lsb-raptor-tests</tt> directory and run the command: <tt>sh test.sh | tee testoutput</tt><br />- Expected result: After several seconds all the tests will be completed.

STEP Run the command: <tt>more testoutput</tt>&nbsp; to view the output file.<br />- Expected result: All the tests will have executed with no failures and the entry in the file should look like this:<pre>Testing legal rdf/xml<br />Checking ex-00.rdf ok<br />Checking ex-01.rdf ok<br />Checking ex-02.rdf ok<br />Checking ex-04.rdf ok<br />Checking ex-05.rdf ok<br />Checking ex-06.rdf ok<br />Checking ex-07.rdf ok<br />Checking ex-08.rdf ok<br />Checking ex-09.rdf ok<br />Checking ex-10.rdf ok<br />Checking ex-11.rdf ok<br />Checking ex-12.rdf ok<br />Checking ex-13.rdf ok<br />Checking ex-14.rdf ok<br />Checking ex-15.rdf ok<br />Checking ex-16.rdf ok<br />Checking ex-17.rdf ok<br />Checking ex-18.rdf ok<br />Checking ex-20.rdf ok<br />Checking ex-21.rdf ok<br />Checking ex-22.rdf ok<br />Checking ex-23.rdf ok<br />Checking ex-24.rdf ok<br />Checking ex-25.rdf ok<br />Checking ex-26.rdf ok<br />Checking ex-27.rdf ok<br />Checking ex-28.rdf ok<br />Checking ex-29.rdf ok<br />Checking ex-30.rdf ok<br />Checking ex-31.rdf ok<br />Checking ex-32.rdf ok<br />Checking ex-33.rdf ok<br />Checking ex-34.rdf ok<br />Checking ex-35.rdf ok<br />Checking ex-36.rdf ok<br />Checking ex-37.rdf ok<br />Checking ex-38.rdf ok<br />Checking ex-39.rdf ok<br />Checking ex-40.rdf ok<br />Checking ex-41.rdf ok<br />Checking ex-46.rdf ok<br />Checking ex-47.rdf ok<br />Checking ex-48.rdf ok<br />Checking ex-49.rdf ok<br />Checking ex-51.rdf ok<br />Checking ex-53.rdf ok<br />Checking ex-54.rdf ok<br />Checking ex-56.rdf ok<br />Checking ex-57.rdf ok<br />Checking ex-58.rdf ok<br />Checking ex-61.rdf ok<br />Checking 22-rdf-syntax-ns.rdf ok<br />Checking rdfs-namespace.rdf ok<br />Checking rdf-schema.rdf ok<br />Checking owl-schema.rdf ok<br />Checking daml-oil.rdf ok<br />Checking wine.rdf ok</pre>

[MODULES]
TESTSUITE man-raptor LSB|Moblin
 module Manual_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
#	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE man-raptor	*	LSB 3.1	cert
	lsb-setup	*	<base>
	raptor-1.4.8-tests.tar		<tests>
	lsb-raptor	*	<appbat-3.1>

TESTSUITE man-raptor	*	LSB 3.2	cert
	lsb-setup	*	<base>
	raptor-1.4.8-tests.tar		<tests>
	lsb-raptor	*	<appbat-3.2>

TESTSUITE man-raptor	*	LSB 4.0	cert
	lsb-setup	*	<base>
	raptor-1.4.16-tests.tar		<tests>
	lsb-raptor	*	<appbat-4.0>

TESTSUITE man-raptor	*	LSB 4.0	snapshot
	lsb-setup	*	<snapshots>/lsb-setup
	raptor-1.4.16-tests.tar		<tests>
	lsb-raptor	*	<appbat-snapshots>
