[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 4.0>/<Certification Tests>/<Manual Tests>/man-transmission

[DESCRIPTIONS]
TESTSUITE man-transmission	LSB|Moblin
		DISPLAYNAME = Transmission Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Transmission - a fast, easy, and free BitTorrent client.
TESTSUITE END

[PROFILES]
# testsuite	LSB ver: <profiles>
man-transmission LSB 4.0: core,c++,desktop

[MANUAL]
TESTSUITE man-transmission	LSB|Moblin

STEP If the <b>xdg-desktop-menu</b> binary is present on the system, and you are using a compliant window manager, <b>lsb-transmission</b> should show up in the Network and/or FileTransfer categories, if present.<br />- Was the installation successful?

STEP Run the command <tt>/opt/lsb/appbat/bin/transmission</tt> or select <tt>"Transmission Bittorrent Client (LSB version)"</tt> from the desktop menu.<br />- Expected result: The transmission main window opens.

STEP Either point a browser to the application battery <a href="http://ftp.linuxfoundation.org/pub/lsb/app-battery/tests/">tests</a> directory and click on <tt>LSB-Core-generic.pdf.torrent</tt> or <tt>wget http://ftp.linuxfoundation.org/pub/lsb/app-battery/tests/LSB-Core-generic.pdf.torrent</tt>.<br />In the former case your browser may offer to open the file with transmission. If it does, click on OK. If using wget, click <tt>Torrent |Add</tt> and open the <tt>LSB-Core-generic.pdf.torrent</tt> file.<br />- Expected result: The "Torrent Options" window appears with <tt>LSB-Core-generic.pdf</tt> in the file list.

STEP Click the <tt>"Add"</tt> button in the "Torrent Options" window.<br />- Expected result: The "Torrent Options" window closes and the selected torrent appears in the transmission main window. After a short time, the file transfer should initiate. Depending on your network connection, the file transfer should complete within a few minutes.

[MODULES]
TESTSUITE man-transmission LSB|Moblin
 module Manual_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
#	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE man-transmission	*	LSB 4.0	cert
	lsb-setup	*	<base>
	lsb-transmission	*	<appbat-4.0>

TESTSUITE man-transmission	*	LSB 4.0	snapshot
	lsb-setup	*	<snapshots>/lsb-setup
	lsb-transmission	*	<appbat-snapshots>
